unit OL_ExplorerClose_IMPL;

interface

uses
  ComObj, ComServ, ActiveX, Variants, adxAddIn, OL_ExplorerClose_TLB, StdVcl,
  Outlook2000, Dialogs, SysUtils;

type
  TOL_Addin = class(TadxAddin, IOL_Addin)
  end;

  TAddInModule = class(TadxCOMAddInModule)
    procedure adxCOMAddInModuleAddInInitialize(Sender: TObject);
    procedure adxCOMAddInModuleAddInFinalize(Sender: TObject);
  private
    FExplorer: TExplorer;
    procedure DoExplorerClose(Sender: TObject);
  end;

implementation

{$R *.dfm}

{ TAddInModule }

procedure TAddInModule.adxCOMAddInModuleAddInInitialize(Sender: TObject);
begin
  FExplorer := Outlook2000.TExplorer.Create(nil);
  FExplorer.ConnectTo(OutlookApp.ActiveExplorer);
  FExplorer.OnClose := DoExplorerClose;
end;

procedure TAddInModule.adxCOMAddInModuleAddInFinalize(Sender: TObject);
begin
  FreeAndNil(FExplorer);
end;

procedure TAddInModule.DoExplorerClose(Sender: TObject);
begin
  ShowMessage('Explorer Close');
end;

initialization
  TadxFactory.Create(ComServer, TOL_Addin, CLASS_OL_Addin, TAddInModule);

end.
